import os
import pygame

__IMAGE_DIR = os.path.join(os.path.dirname(__file__),
        os.pardir, os.pardir, os.pardir,
        'art')

__IMAGES = {'tank1': 'tank1.png',
            'tank2': 'tank2.png',
            'tank3': 'tank3.png',
            'tank4': 'tank4.png',
            'building1': 'building1.png',
            'building2': 'building2.png',
            'building3': 'building3.png',
            'background': 'protomap.png',
            'fire1-1': 'sshot1.png',
            'fire1-2': 'sshot2.png',
            'fire1-3': 'sshot3.png',
            'fire2-1': 'mshot1.png',
            'fire2-2': 'mshot2.png',
            'fire2-3': 'mshot3.png',
            'fire3-1': 'lshot1.png',
            'fire3-2': 'lshot2.png',
            'fire3-3': 'lshot3.png',
            'enemy1': 'Terrorist1.png',
            'enemy2': 'Terrorist2.png',
            'enemy3': 'Terrorist3.png',
            'enemy4': 'Terrorist4.png',
            'title': 'Title Splash.png',
            'plot': 'Plot Splash.png',
            'pit': 'pit.png'
        }
for key, value in __IMAGES.iteritems():
    __IMAGES[key] = os.path.join(__IMAGE_DIR, value)


def get_image(name):
    return _load_image(__IMAGES[name])

    
def _load_image(name, colorkey=None):
    fullname = os.path.join(__IMAGE_DIR, name)
    image = pygame.image.load(fullname)
    image = image.convert_alpha()
    if colorkey is not None:
        if colorkey is -1:
            colorkey = image.get_at((0, 0))
        image.set_colorkey(colorkey, RLEACCEL)
    return image, image.get_rect()
