import os
import pygame

__SOUND_DIR = os.path.join(os.path.dirname(__file__),
        os.pardir, os.pardir, os.pardir,
        'sound')

__SOUNDS = {'building': 'building_fall.wav',
            'fire': 'fire.wav',
            'idle': 'idle.wav',
            'music': 'main.ogg',
            'man': 'man_death.wav',
            'woman': 'woman_death.wav',
        }
for key, value in __SOUNDS.iteritems():
    __SOUNDS[key] = os.path.join(__SOUND_DIR, value)


def get_sound(name):
    return _load_sound(__SOUNDS[name])

    
def _load_sound(name, colorkey=None):
    fullname = os.path.join(__SOUND_DIR, name)
    return pygame.mixer.Sound(fullname)
